#!/bin/bash
if [ "$#" -ne 1 ]
then
	echo "usage: $0 <revision>"
	exit 1
fi

REVISION=$1

ORIG_DIR=`pwd`
TEMP_DIR=`mktemp -d`
TRUNK_DIR=wp34s-svn$REVISION

pushd $TEMP_DIR

# Export the trunk from subversion.
svn co -r$1 svn://svn.code.sf.net/p/wp34s/code/trunk $TRUNK_DIR

# Remove Subversion cruft.
rm -rf $TRUNK_DIR/.svn

# Luxi font is non-free and must be removed.
rm $TRUNK_DIR/QtGui/fonts/luxisr.ttf

# Windows removed because it is unnecessary and the font licenses haven't
# been verified
rm -rf $TRUNK_DIR/windows

# Create the tarball
tar -czf $ORIG_DIR/wp34s-svn$1.tar.gz $TRUNK_DIR

popd
rm -rf $TEMP_DIR
